//----------------------------------------------------------------------
//Symbol 74 MovieClip [__Packages.mx.transitions.BroadcasterMX] Frame 0
//----------------------------------------------------------------------
class mx.transitions.BroadcasterMX
{
var _listeners;
function BroadcasterMX () {
}
static function initialize(o, dontCreateArray) {
if (o.broadcastMessage != undefined) {
delete o.broadcastMessage;
}
o.addListener = mx.transitions.BroadcasterMX.prototype.addListener;
o.removeListener = mx.transitions.BroadcasterMX.prototype.removeListener;
if (!dontCreateArray) {
o._listeners = new Array();
}
}
function addListener(o) {
removeListener(o);
if (broadcastMessage == undefined) {
broadcastMessage = mx.transitions.BroadcasterMX.prototype.broadcastMessage;
}
return(_listeners.push(o));
}
function removeListener(o) {
var _local2 = _listeners;
var _local3 = _local2.length;
while (_local3--) {
if (_local2[_local3] == o) {
_local2.splice(_local3, 1);
if (!_local2.length) {
broadcastMessage = undefined;
}
return(true);
}
}
return(false);
}
function broadcastMessage() {
var _local5 = String(arguments.shift());
var _local4 = _listeners.concat();
var _local6 = _local4.length;
var _local3 = 0;
while (_local3 < _local6) {
_local4[_local3][_local5].apply(_local4[_local3], arguments);
_local3++;
}
}
static var version = "1.1.0.52";
}
﻿
//----------------------------------------------------------------------
//Symbol 73 MovieClip [__Packages.mx.transitions.OnEnterFrameBeacon] Frame 0
//----------------------------------------------------------------------
class mx.transitions.OnEnterFrameBeacon
{
function OnEnterFrameBeacon () {
}
static function init() {
var _local4 = _global.MovieClip;
if (!_root.__OnEnterFrameBeacon) {
mx.transitions.BroadcasterMX.initialize(_local4);
var _local3 = _root.createEmptyMovieClip("__OnEnterFrameBeacon", 9876);
_local3.onEnterFrame = function () {
_global.MovieClip.broadcastMessage("onEnterFrame");
};
}
}
static var version = "1.1.0.52";
}
﻿
//----------------------------------------------------------------------
//Symbol 27 MovieClip Frame 1
//----------------------------------------------------------------------
stop();

﻿
//----------------------------------------------------------------------
//Symbol 65 MovieClip Frame 42
//----------------------------------------------------------------------
_root.finishAction();
﻿
//----------------------------------------------------------------------
//Symbol 39 MovieClip Frame 1
//----------------------------------------------------------------------
stop();
if (_root.TYPE == 2) {
gotoAndStop (2);
}

﻿
//----------------------------------------------------------------------
//Symbol 18 MovieClip Frame 1
//----------------------------------------------------------------------
stop();

﻿
//----------------------------------------------------------------------
//Symbol 75 MovieClip [__Packages.mx.transitions.Tween] Frame 0
//----------------------------------------------------------------------
class mx.transitions.Tween
{
var obj, prop, begin, useSeconds, _listeners, addListener, prevTime, _time, looping, _duration, broadcastMessage, isPlaying, _fps, prevPos, _pos, change, _intervalID, _startTime;
function Tween (obj, prop, func, begin, finish, duration, useSeconds) {
mx.transitions.OnEnterFrameBeacon.init();
if (!arguments.length) {
return;
}
this.obj = obj;
this.prop = prop;
this.begin = begin;
position = (begin);
this.duration = (duration);
this.useSeconds = useSeconds;
if (func) {
this.func = func;
}
this.finish = (finish);
_listeners = [];
addListener(this);
start();
}
function set time(t) {
prevTime = _time;
if (t > duration) {
if (looping) {
rewind(t - _duration);
update();
broadcastMessage("onMotionLooped", this);
} else {
if (useSeconds) {
_time = _duration;
update();
}
stop();
broadcastMessage("onMotionFinished", this);
}
} else if (t < 0) {
rewind();
update();
} else {
_time = t;
update();
}
//return(time);
}
function get time() {
return(_time);
}
function set duration(d) {
_duration = (((d == null) || (d <= 0)) ? (_global.Infinity) : (d));
//return(duration);
}
function get duration() {
return(_duration);
}
function set FPS(fps) {
var _local2 = isPlaying;
stopEnterFrame();
_fps = fps;
if (_local2) {
startEnterFrame();
}
//return(FPS);
}
function get FPS() {
return(_fps);
}
function set position(p) {
setPosition(p);
//return(position);
}
function setPosition(p) {
prevPos = _pos;
obj[prop] = (_pos = p);
broadcastMessage("onMotionChanged", this, _pos);
updateAfterEvent();
}
function get position() {
return(getPosition());
}
function getPosition(t) {
if (t == undefined) {
t = _time;
}
return(func(t, begin, change, _duration));
}
function set finish(f) {
change = f - begin;
//return(finish);
}
function get finish() {
return(begin + change);
}
function continueTo(finish, duration) {
begin = position;
this.finish = (finish);
if (duration != undefined) {
this.duration = (duration);
}
start();
}
function yoyo() {
continueTo(begin, time);
}
function startEnterFrame() {
if (_fps == undefined) {
_global.MovieClip.addListener(this);
} else {
_intervalID = setInterval(this, "onEnterFrame", 1000 / _fps);
}
isPlaying = true;
}
function stopEnterFrame() {
if (_fps == undefined) {
_global.MovieClip.removeListener(this);
} else {
clearInterval(_intervalID);
}
isPlaying = false;
}
function start() {
rewind();
startEnterFrame();
broadcastMessage("onMotionStarted", this);
}
function stop() {
stopEnterFrame();
broadcastMessage("onMotionStopped", this);
}
function resume() {
fixTime();
startEnterFrame();
broadcastMessage("onMotionResumed", this);
}
function rewind(t) {
_time = ((t == undefined) ? 0 : (t));
fixTime();
update();
}
function fforward() {
time = (_duration);
fixTime();
}
function nextFrame() {
if (useSeconds) {
time = ((getTimer() - _startTime) / 1000);
} else {
time = (_time + 1);
}
}
function onEnterFrame() {
nextFrame();
}
function prevFrame() {
if (!useSeconds) {
time = (_time - 1);
}
}
function toString() {
return("[Tween]");
}
function fixTime() {
if (useSeconds) {
_startTime = getTimer() - (_time * 1000);
}
}
function update() {
position = (getPosition(_time));
}
static var version = "1.1.0.52";
static var __initBeacon = mx.transitions.OnEnterFrameBeacon.init();
static var __initBroadcaster = mx.transitions.BroadcasterMX.initialize(mx.transitions.Tween.prototype, true);
function func(t, b, c, d) {
return(((c * t) / d) + b);
}
}
﻿
//----------------------------------------------------------------------
//Symbol 60 MovieClip Frame 1
//----------------------------------------------------------------------
stop();

﻿
//----------------------------------------------------------------------
//Symbol 60 MovieClip Frame 39
//----------------------------------------------------------------------
_root.finishAction();

﻿
//----------------------------------------------------------------------
//Symbol 47 MovieClip Frame 1
//----------------------------------------------------------------------
stop();
if (_root.TYPE == 2) {
gotoAndStop (2);
}

﻿
//----------------------------------------------------------------------
//Symbol 65 MovieClip Frame 1
//----------------------------------------------------------------------
stop();

﻿
//----------------------------------------------------------------------
//Symbol 76 MovieClip [__Packages.mx.transitions.easing.Strong] Frame 0
//----------------------------------------------------------------------
class mx.transitions.easing.Strong
{
function Strong () {
}
static function easeIn(t, b, c, d) {
t = t / d;
return((((((c * t) * t) * t) * t) * t) + b);
}
static function easeOut(t, b, c, d) {
t = (t / d) - 1;
return((c * (((((t * t) * t) * t) * t) + 1)) + b);
}
static function easeInOut(t, b, c, d) {
t = t / (d / 2);
if (t < 1) {
return(((((((c / 2) * t) * t) * t) * t) * t) + b);
}
t = t - 2;
return(((c / 2) * (((((t * t) * t) * t) * t) + 2)) + b);
}
static var version = "1.1.0.52";
}
﻿
//----------------------------------------------------------------------
//Symbol 71 MovieClip Frame 1
//----------------------------------------------------------------------
stop();

﻿
//----------------------------------------------------------------------
//Frame 3
//----------------------------------------------------------------------
function validBet(_bet) {
if (BALANCE < bets_array[_bet]) {
return(false);
}
return(true);
}
function makeButton(numb) {
button = _root["bet" + numb];
button._bet = numb;
button.onRollOver = function () {
if (_root.block) {
return(undefined);
}
if (!validBet(this._bet)) {
return(undefined);
}
this.gotoAndStop(2);
};
button.onRollOut = function () {
if (_root.block) {
return(undefined);
}
this.gotoAndStop(1);
};
button.onRelease = function () {
if (!validBet(this._bet)) {
return(undefined);
}
if (_root.block) {
return(undefined);
}
makeBet(this._bet);
};
}
function makeBet(numb) {
if (block) {
return(undefined);
}
block = true;
_root["bet" + numb].gotoAndStop(3);
if (playSound) {
bet_sound = new Sound();
bet_sound.attachSound("line");
bet_sound.start(0, 1);
}
setBalance(BALANCE - bets_array[numb]);
var _local3 = new LoadVars();
var _local2 = new LoadVars();
_local3.sendAndLoad((_root.addr + "&action=1&bet=") + numb, _local2, "POST");
_local2.onData = function (text) {
if ((text == "Not have money") or (text == "Error bet")) {
_root.gotoAndStop(4);
return(undefined);
}
_parts = text.split("!!!");
if (_parts[0] == "JACKPOT") {
move(23);
is_jackpot = true;
} else {
is_jackpot = false;
sector = _parts[0].split("-");
if (sector[0] == "GREEN") {
arr_to_use = green_arr;
}
if (sector[0] == "YELLOW") {
arr_to_use = yellow_arr;
}
if (sector[0] == "BROWN") {
arr_to_use = brown_arr;
}
if (sector[0] == "BLUE") {
arr_to_use = blue_arr;
}
if (sector[0] == "RED") {
arr_to_use = red_arr;
}
move(arr_to_use[sector[1]]);
}
won = _parts[1];
new_balance = _parts[2];
};
}
function setBalance(bal) {
bal = int(bal);
BALANCE = bal;
if (bal > 1000000) {
bal = Math.ceil(bal / 1000) + "K";
}
balance.val = bal;
}
function move(show) {
diff = (360 - ((360 / kol) * show)) + (360 / kol);
trace("show = " + show);
trace("diff = " + diff);
var _local2 = new mx.transitions.Tween(wheel, "_rotation", mx.transitions.easing.Strong.easeOut, wheel._rotation, 720 + diff, 5, true);
_local2.onMotionFinished = function () {
i = 1;
while (i <= 6) {
_root["bet" + i].gotoAndStop(1);
i++;
}
if (is_jackpot) {
jackpot_animation.gotoAndPlay(2);
} else {
won_animation.gotoAndPlay(2);
}
if (playSound) {
bet_sound = new Sound();
bet_sound.attachSound("jack_pot");
bet_sound.start(0, 1);
}
};
}
function finishAction() {
_root.setBalance(_root.new_balance);
_root.block = false;
i = 1;
while (i <= 6) {
_root["bet" + i].gotoAndStop(1);
i++;
}
if (autostart > 0) {
if (!validBet(autostart)) {
autostart = 0;
q = 1;
while (q <= 6) {
_root["a_s_mc_" + q].gotoAndStop(1);
q++;
}
} else {
makeBet(autostart);
}
}
}
stop();
playSound = true;
sound_but.onRelease = function () {
if (playSound) {
this.gotoAndStop(2);
} else {
this.gotoAndStop(1);
}
playSound = !playSound;
};
green_arr = new Array();
green_arr[1] = 3;
green_arr[2] = 6;
green_arr[3] = 9;
green_arr[4] = 12;
green_arr[5] = 15;
green_arr[6] = 18;
green_arr[7] = 21;
green_arr[8] = 24;
green_arr[9] = 27;
green_arr[10] = 30;
yellow_arr = new Array();
yellow_arr[1] = 1;
yellow_arr[2] = 4;
yellow_arr[3] = 7;
yellow_arr[4] = 10;
yellow_arr[5] = 13;
yellow_arr[6] = 16;
yellow_arr[7] = 19;
yellow_arr[8] = 22;
yellow_arr[9] = 25;
yellow_arr[10] = 28;
brown_arr = new Array();
brown_arr[1] = 11;
brown_arr[2] = 20;
brown_arr[3] = 26;
brown_arr[4] = 29;
blue_arr = new Array();
blue_arr[1] = 2;
blue_arr[2] = 8;
blue_arr[3] = 17;
red_arr = new Array();
red_arr[1] = 5;
red_arr[1] = 14;
bets_array = new Array();
if (TYPE == 1) {
bets_array[1] = 100;
bets_array[2] = 500;
bets_array[3] = 1000;
bets_array[4] = 5000;
bets_array[5] = 10000;
bets_array[6] = 50000;
}
if (TYPE == 2) {
bets_array[1] = 1;
bets_array[2] = 5;
bets_array[3] = 10;
bets_array[4] = 50;
bets_array[5] = 100;
bets_array[6] = 500;
}
bet1._bet = 1;
bet2._bet = 2;
bet3._bet = 3;
bet4._bet = 4;
bet5._bet = 5;
bet6._bet = 6;
i = 1;
while (i <= 6) {
makeButton(i);
i++;
}
kol = 30;
won = 0;
new_balance = 0;
is_jackpot = false;
block = false;
setBalance(BALANCE);
autostart = 0;
i = 1;
while (i <= 6) {
mc = _root["a_s_mc_" + i];
mc._bet = i;
mc.onRollOver = function () {
if (!validBet(this._bet)) {
return(undefined);
}
if (autostart == this._bet) {
return(undefined);
}
this.gotoAndStop(2);
};
mc.onRollOut = (mc.onReleaseOutside = function () {
if (!validBet(this._bet)) {
return(undefined);
}
if (autostart == this._bet) {
return(undefined);
}
this.gotoAndStop(1);
});
mc.onRelease = function () {
if (this._bet == autostart) {
autostart = 0;
this.gotoAndStop(1);
return(undefined);
}
if (!validBet(this._bet)) {
return(undefined);
}
q = 1;
while (q <= 6) {
_root["a_s_mc_" + q].gotoAndStop(1);
q++;
}
autostart = this._bet;
this.gotoAndStop(3);
makeBet(this._bet);
};
i++;
}

﻿
//----------------------------------------------------------------------
//Frame 1
//----------------------------------------------------------------------
if (TYPE == undefined) {
TYPE = 1;
}
addr = "/GAMES/fortuna_wheel/action.php?TYPE=" + TYPE;
BALANCE = 7800;
stop();
_t = "test";
var sender = new LoadVars();
var receiver = new LoadVars();
sender.sendAndLoad((_root.addr + "&action=2&r=") + Math.random(), receiver, "POST");
receiver.onData = function (text) {
_t = text;
BALANCE = text;
gotoAndPlay (2);
};

﻿
//----------------------------------------------------------------------
//Symbol 54 MovieClip Frame 1
//----------------------------------------------------------------------
function getJackpot() {
var _local3 = new LoadVars();
var _local2 = new LoadVars();
_local3.sendAndLoad(_root.addr + "&action=jackpot", _local2, "POST");
_local2.onData = function (text) {
if (text != undefined) {
val = Number(text);
}
setTimeout(getJackpot, 2000);
};
}
stop();
val = "";
getJackpot();
if (_root.TYPE == 2) {
gotoAndStop (2);
}

