<?
# Старт сессии
@session_start();

if (!isset($_SESSION['user_id'])) exit("error auth");

# Константа для Include
define("CONST_RUFUS", true);
# Автоподгрузка классов
function __autoload($name)
{
    include("../../classes/_class." . $name . ".php");
}

# Класс конфига
$config = new config;
# Подключение к базе данных
$db = new db($config->HostDB, $config->UserDB, $config->PassDB, $config->BaseDB);

$time = time();
//http://www.showmycode.com/
$colors_array = array('GREEN', 'YELLOW', 'BROWN', 'BLUE', 'RED');
$max_item_array = array(
    'GREEN' => 10,
    'YELLOW' => 10,
    'BROWN' => 4,
    'BLUE' => 3,
    'RED' => 2
);
$pers_item_array = array(
    'GREEN' => 0.1,
    'YELLOW' => 0.5,
    'BROWN' => 1.5,
    'BLUE' => 2.0,
    'RED' => 3.0
);
$jp_item_rand = array(
    1 => 100000,
    2 => 10000,
    3 => 1000,
    4 => 100,
    5 => 50,
    6 => 25
);

if (empty($_GET)) {
    exit('error data');
    //echo $jack_pot ;
} else {
    if (isset($_GET['TYPE'])) {

        # Получаем данные о jack-pot
        $db->Query("SELECT {$_SESSION['wheel_currency_data']['jpbase']} FROM db_stats WHERE id = '1' LIMIT 1");
        $jack_pot = $db->FetchRow();

        $bets_array = array(
            1 => 100,
            2 => 500,
            3 => 1000,
            4 => 5000,
            5 => 10000,
            6 => 50000
        );

        # Получаем данные о пользователе
        $db->Query("SELECT {$_SESSION['wheel_currency_data']['currency_name']} FROM db_users_b WHERE id = {$_SESSION['user_id']}");
        $money = floor($db->FetchRow());

        if (isset($_GET['action'])) {

            if ($_GET['action'] == 1) {

                if (isset($_GET['bet'])) {

                    $item_bet = intval($_GET['bet']);

                    $bet = intval($bets_array[$item_bet] / $_SESSION['wheel_currency_data']['mult']);

                    if ($bet > 0) {

                        if ($money >= $bet) {

                            $money -= $bet;

                            if (rand(1, $jp_item_rand[$item_bet]) == 1) {
                                $user_money = $money + $jack_pot;
                                $db->Query("UPDATE db_stats SET {$_SESSION['wheel_currency_data']['jpbase']} = 0 WHERE id = '1' LIMIT 1");
                                $db->Query("UPDATE db_users_b SET {$_SESSION['wheel_currency_data']['currency_name']} = {$user_money} WHERE id = {$_SESSION['user_id']}");
                                $db->Query("INSERT INTO db_fortuna_wheel
                                                   SET 
                                                      user = '{$_SESSION['user']}', 
                                                      user_id = {$_SESSION['user_id']}, 
                                                      money = {$user_money}, 
                                                      date = {$time}, 
                                                      type = 1, 
                                                      currency = {$_SESSION['wheel_currency_data']['currency_id']}, 
                                                      jackpot = 1
                                    ");

                                
                                echo "JACKPOT!!!{$jack_pot}!!!{$user_money}";

                            } else {
                                $ic = rand(0, rand(1, rand(2, rand(3, rand(4, 5)))));
                                $color = $colors_array[$ic];
                                $item = rand(1, $max_item_array[$color]);
                                $pers = $pers_item_array[$color];
                                $win_money = $bet * $pers;
                                $user_money = $money + $win_money;

                                if ($pers < 1) {
                                    $jp_money = $bet * (1 - $pers);
                                    $jp_money = $jp_money * 0.5;
                                    $db->Query("UPDATE db_stats SET {$_SESSION['wheel_currency_data']['jpbase']} = {$_SESSION['wheel_currency_data']['jpbase']} + {$jp_money} WHERE id = 1");
                                }


                                $db->Query("UPDATE db_users_b SET {$_SESSION['wheel_currency_data']['currency_name']} = {$user_money} WHERE id = {$_SESSION['user_id']}");
                                $db->Query("INSERT INTO db_fortuna_wheel
 SET user = '{$_SESSION['user']}', user_id = {$_SESSION['user_id']}, money = {$win_money}, date = {$time}, type = 1, currency = {$_SESSION['wheel_currency_data']['currency_id']}");


                                echo "{$color}-{$item}!!!{$win_money}!!!{$user_money}";
                            }

                        } else {
                            exit('Not have money');
                        }


                    } else {
                        exit('error bet');
                    }
                } else {
                    exit('error bet');
                }
            } else if ($_GET['action'] == 2) {
                echo($money);
            } else {
                echo($jack_pot);
            }
        } else {
            echo($jack_pot);
        }

    } else {
        exit("error type");
    }
}


?>